## ros-one-robot-localization 2.7.7-1noble.20251023.0943

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(robot_localization)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  message("${PROJECT_NAME}: You did not request a specific build type: selecting 'RelWithDebInfo'.")
  set(CMAKE_BUILD_TYPE RelWithDebInfo)
endif()

find_package(catkin REQUIRED COMPONENTS
  angles
  diagnostic_msgs
  diagnostic_updater
  eigen_conversions
  geographic_msgs
  geometry_msgs
  message_filters
  message_generation
  nav_msgs
  nodelet
  roscpp
  roslint
  sensor_msgs
  std_msgs
  std_srvs
  tf2
  tf2_geometry_msgs
  tf2_ros)

find_package(PkgConfig REQUIRED)
pkg_check_modules(YAML_CPP yaml-cpp)
if(NOT YAML_CPP_FOUND)
  find_package(yaml-cpp REQUIRED)
endif()


# Geographiclib installs FindGeographicLib.cmake to this non-standard location
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "/usr/share/cmake/geographiclib/")
find_package(GeographicLib REQUIRED)

# Attempt to find Eigen using its own CMake module.
# If that fails, fall back to cmake_modules package.
find_package(Eigen3)
set(EIGEN_PACKAGE EIGEN3)
if(NOT EIGEN3_FOUND)
  find_package(cmake_modules REQUIRED)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
  set(EIGEN3_LIBRARIES ${EIGEN_LIBRARIES})
  set(EIGEN_PACKAGE Eigen)
endif()

if(NOT MSVC)
  set_directory_properties(PROPERTIES COMPILE_OPTIONS "-Wall;-Werror")
endif()
add_definitions(-DEIGEN_NO_DEBUG -DEIGEN_MPL2_ONLY)

set(ROSLINT_CPP_OPTS "--filter=-build/c++11,-runtime/references")
roslint_cpp()

###################################
## catkin specific configuration ##
###################################
add_service_files(
  FILES
    GetState.srv
    SetDatum.srv
    SetPose.srv
    SetUTMZone.srv
    ToggleFilterProcessing.srv
    FromLL.srv
    ToLL.srv
)

generate_messages(
  DEPENDENCIES
    geographic_msgs
    geometry_msgs
    std_msgs
)

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES 
    ekf
    ekf_localization_nodelet
    filter_base
    filter_utilities
    navsat_transform
    navsat_transform_nodelet
    ros_filter
    ros_filter_utilities
    robot_localization_estimator
    ros_robot_localization_listener
    ukf
    ukf_localization_nodelet
  CATKIN_DEPENDS
    angles
    cmake_modules
    diagnostic_msgs
    diagnostic_updater
    eigen_conversions
    geographic_msgs
    geometry_msgs
    message_filters
    message_runtime
    nav_msgs
    roscpp
    sensor_msgs
    std_msgs
    std_srvs
    tf2
    tf2_geometry_msgs
    tf2_ros
  DEPENDS
    ${EIGEN_PACKAGE}
    GeographicLib
    YAML_CPP
)

###########
## Build ##
###########

include_directories(
  include
)

include_directories(
  SYSTEM
    ${catkin_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIRS}
    ${YAML_CPP_INCLUDE_DIRS}
)

link_directories(${YAML_CPP_LIBRARY_DIRS})

# Library definitions
add_library(filter_utilities src/filter_utilities.cpp)
add_library(filter_base src/filter_base.cpp)
add_library(ekf src/ekf.cpp)
add_library(ukf src/ukf.cpp)
add_library(robot_localization_estimator src/robot_localization_estimator.cpp)
add_library(ros_robot_localization_listener src/ros_robot_localization_listener.cpp)
add_library(ros_filter_utilities src/ros_filter_utilities.cpp)
add_library(ros_filter src/ros_filter.cpp)
add_library(navsat_transform src/navsat_transform.cpp)
add_library(ekf_localization_nodelet src/ekf_localization_nodelet.cpp)
add_library(ukf_localization_nodelet src/ukf_localization_nodelet.cpp)
add_library(navsat_transform_nodelet src/navsat_transform_nodelet.cpp)

# Executables
add_executable(ekf_localization_node src/ekf_localization_node.cpp)
add_executable(ukf_localization_node src/ukf_localization_node.cpp)
add_executable(navsat_transform_node src/navsat_transform_node.cpp)
add_executable(robot_localization_listener_node src/robot_localization_listener_node.cpp)

# Dependencies
add_dependencies(filter_base ${PROJECT_NAME}_gencpp)
add_dependencies(navsat_transform ${PROJECT_NAME}_gencpp)
add_dependencies(robot_localization_listener_node ${PROJECT_NAME}_gencpp)

# Linking
target_link_libraries(ros_filter_utilities ${catkin_LIBRARIES} ${EIGEN3_LIBRARIES})
target_link_libraries(filter_utilities ${catkin_LIBRARIES} ${EIGEN3_LIBRARIES})
target_link_libraries(filter_base filter_utilities ${catkin_LIBRARIES} ${EIGEN3_LIBRARIES})
target_link_libraries(ekf filter_base ${catkin_LIBRARIES} ${EIGEN3_LIBRARIES})
target_link_libraries(ukf filter_base ${catkin_LIBRARIES} ${EIGEN3_LIBRARIES})
target_link_libraries(ros_filter ekf ukf ros_filter_utilities ${catkin_LIBRARIES} ${EIGEN3_LIBRARIES})
target_link_libraries(robot_localization_estimator filter_utilities filter_base ekf ukf ${EIGEN3_LIBRARIES})
target_link_libraries(ros_robot_localization_listener robot_localization_estimator ros_filter_utilities
  ${catkin_LIBRARIES} ${EIGEN3_LIBRARIES} ${YAML_CPP_LIBRARIES})
target_link_libraries(robot_localization_listener_node ros_robot_localization_listener ${catkin_LIBRARIES})
target_link_libraries(ekf_localization_node ros_filter ${catkin_LIBRARIES})
target_link_libraries(ekf_localization_nodelet ros_filter ${catkin_LIBRARIES})
target_link_libraries(ukf_localization_node ros_filter ${catkin_LIBRARIES})
target_link_libraries(ukf_localization_nodelet ros_filter ${catkin_LIBRARIES})
target_link_libraries(navsat_transform filter_utilities ros_filter_utilities ${catkin_LIBRARIES} ${EIGEN3_LIBRARIES} ${GeographicLib_LIBRARIES})
target_link_libraries(navsat_transform_node navsat_transform ${catkin_LIBRARIES} ${GeographicLib_LIBRARIES})
target_link_libraries(navsat_transform_nodelet navsat_transform ${catkin_LIBRARIES} ${GeographicLib_LIBRARIES})

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS
  ekf
  ekf_localization_nodelet
  filter_base
  filter_utilities
  navsat_transform
  navsat_transform_nodelet
  ros_filter
  ros_filter_utilities
  robot_localization_estimator
  ros_robot_localization_listener
  ukf
  ukf_localization_nodelet
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(TARGETS
  ekf_localization_node
  navsat_transform_node
  robot_localization_listener_node
  ukf_localization_node
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
  FILES_MATCHING PATTERN "*.launch")

install(DIRECTORY params/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/params)

install(FILES
  LICENSE
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(FILES nodelet_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

if (CATKIN_ENABLE_TESTING)

  roslint_add_test()

  # Not really necessary, but it will cause the build to fail if it's
  # missing, rather than failing once the tests are being executed
  find_package(rosbag REQUIRED)
  find_package(rostest REQUIRED)

  #### FILTER BASE TESTS ####
  catkin_add_gtest(filter_base-test test/test_filter_base.cpp)
  target_link_libraries(filter_base-test filter_base ${catkin_LIBRARIES})

  # This test uses ekf_localization node for convenience.
  add_rostest_gtest(test_filter_base_diagnostics_timestamps
                    test/test_filter_base_diagnostics_timestamps.test
                    test/test_filter_base_diagnostics_timestamps.cpp)
  target_link_libraries(test_filter_base_diagnostics_timestamps ${catkin_LIBRARIES} ${rostest_LIBRARIES})
  add_dependencies(test_filter_base_diagnostics_timestamps ekf_localization_node)

  #### EKF TESTS #####
  add_rostest_gtest(test_ekf
                    test/test_ekf.test
                    test/test_ekf.cpp)
  target_link_libraries(test_ekf ros_filter ekf ${catkin_LIBRARIES} ${rostest_LIBRARIES})

  add_rostest_gtest(test_ekf_localization_node_interfaces
                    test/test_ekf_localization_node_interfaces.test
                    test/test_ekf_localization_node_interfaces.cpp)
  target_link_libraries(test_ekf_localization_node_interfaces ros_filter ekf ${catkin_LIBRARIES} ${rostest_LIBRARIES})
  add_dependencies(test_ekf_localization_node_interfaces ekf_localization_node)

  add_rostest_gtest(test_ekf_localization_node_bag1
                    test/test_ekf_localization_node_bag1.test
                    test/test_localization_node_bag_pose_tester.cpp)
  target_link_libraries(test_ekf_localization_node_bag1 ${catkin_LIBRARIES} ${rostest_LIBRARIES})
  add_dependencies(test_ekf_localization_node_bag1 ekf_localization_node)

  add_rostest_gtest(test_ekf_localization_node_bag2
                    test/test_ekf_localization_node_bag2.test
                    test/test_localization_node_bag_pose_tester.cpp)
  target_link_libraries(test_ekf_localization_node_bag2 ${catkin_LIBRARIES} ${rostest_LIBRARIES})
  add_dependencies(test_ekf_localization_node_bag2 ekf_localization_node)

  add_rostest_gtest(test_ekf_localization_node_bag3
                    test/test_ekf_localization_node_bag3.test
                    test/test_localization_node_bag_pose_tester.cpp)
  target_link_libraries(test_ekf_localization_node_bag3 ${catkin_LIBRARIES} ${rostest_LIBRARIES})
  add_dependencies(test_ekf_localization_node_bag3 ekf_localization_node)

  add_rostest_gtest(test_ekf_localization_nodelet_bag1
                    test/test_ekf_localization_nodelet_bag1.test
                    test/test_localization_node_bag_pose_tester.cpp)
  target_link_libraries(test_ekf_localization_nodelet_bag1 ${catkin_LIBRARIES} ${rostest_LIBRARIES})
  add_dependencies(test_ekf_localization_nodelet_bag1 ekf_localization_nodelet)

  #### UKF TESTS #####
  add_rostest_gtest(test_ukf
                    test/test_ukf.test
                    test/test_ukf.cpp)
  target_link_libraries(test_ukf ros_filter ukf ${catkin_LIBRARIES} ${rostest_LIBRARIES})

  add_rostest_gtest(test_ukf_localization_node_interfaces
                    test/test_ukf_localization_node_interfaces.test
                    test/test_ukf_localization_node_interfaces.cpp)
  target_link_libraries(test_ukf_localization_node_interfaces ${catkin_LIBRARIES} ${rostest_LIBRARIES})
  add_dependencies(test_ukf_localization_node_interfaces ukf_localization_node)

  add_rostest_gtest(test_ukf_localization_node_bag1
                    test/test_ukf_localization_node_bag1.test
                    test/test_localization_node_bag_pose_tester.cpp)
  target_link_libraries(test_ukf_localization_node_bag1 ${catkin_LIBRARIES} ${rostest_LIBRARIES})
  add_dependencies(test_ukf_localization_node_bag1 ukf_localization_node)

  add_rostest_gtest(test_ukf_localization_node_bag2
                    test/test_ukf_localization_node_bag2.test
                    test/test_localization_node_bag_pose_tester.cpp)
  target_link_libraries(test_ukf_localization_node_bag2 ${catkin_LIBRARIES} ${rostest_LIBRARIES})
  add_dependencies(test_ukf_localization_node_bag2 ukf_localization_node)

  add_rostest_gtest(test_ukf_localization_node_bag3
                    test/test_ukf_localization_node_bag3.test
                    test/test_localization_node_bag_pose_tester.cpp)
  target_link_libraries(test_ukf_localization_node_bag3 ${catkin_LIBRARIES} ${rostest_LIBRARIES})
  add_dependencies(test_ukf_localization_node_bag3 ukf_localization_node)

  add_rostest_gtest(test_ukf_localization_nodelet_bag1
                    test/test_ukf_localization_nodelet_bag1.test
                    test/test_localization_node_bag_pose_tester.cpp)
  target_link_libraries(test_ukf_localization_nodelet_bag1 ${catkin_LIBRARIES} ${rostest_LIBRARIES})
  add_dependencies(test_ukf_localization_nodelet_bag1 ukf_localization_nodelet)

  #### RLE/RLL TESTS #####
  add_rostest_gtest(test_robot_localization_estimator

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = .build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/robot_localization.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/robot_localization.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/robot_localization"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/robot_localization"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## ros-one-robot-localization 2.7.7-1jammy.20251023.0931

=== debian/changelog ===
ros-one-robot-localization (2.7.7-1jammy.20251023.0931) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tom Moore <ayrton04@gmail.com>  Thu, 23 Oct 2025 09:31:47 +0000

ros-one-robot-localization (2.7.7-0jammy) jammy; urgency=high

  * Remove the diagnostic warning about multiple pose sources (#888 <https://github.com/cra-ros-pkg/robot_localization/issues/888>)
  * Contributors: Stephen Williams

 -- Tom Moore <ayrton04@gmail.com>  Thu, 29 Aug 2024 00:00:00 -0000

ros-one-robot-localization (2.7.6-0jammy) jammy; urgency=high

  * Updating issue templates
  * Fixing angle clamping in Noetic (#855 <https://github.com/cra-ros-pkg/robot_localization/issues/855>)
  * Contributors: Tom Moore

 -- Tom Moore <ayrton04@gmail.com>  Tue, 16 Apr 2024 00:00:00 -0000

ros-one-robot-localization (2.7.5-0jammy) jammy; urgency=high

  * Fix/set utm map frame change (#830 <https://github.com/cra-ros-pkg/robot_localization/issues/830>)
    * Fix utm service properly resetting transforms and fix test for this
    ---------
    Co-authored-by: Ferry Schoenmakers <mailto:ferry.schoenmakers@nobleo.nl>
  * Add flag to invert published transform (#827 <https://github.com/cra-ros-pkg/robot_localization/issues/827>)
  * fix bracket missing bug ekf nodelet template noetic (#823 <https://github.com/cra-ros-pkg/robot_localization/issues/823>)
  * Noetic devel (#775 <https://github.com/cra-ros-pkg/robot_localization/issues/775>)
    * fixed missing silent flag
    * removed debug statement
    * replace tabs with blanks
  * Contributors: Carlos Mendes, ChenHehe, CyberNet, Ferry Schoenmakers

 -- Tom Moore <ayrton04@gmail.com>  Tue, 12 Dec 2023 00:00:00 -0000

ros-one-robot-localization (2.7.4-0jammy) jammy; urgency=high

  * Fix odometry and acceleration processing pipeline (#753 <https://github.com/cra-ros-pkg/robot_localization/issues/753>)
  * Use default CXX, need to specify boost::placeholders::_1 instead of just _1 (#750 <https://github.com/cra-ros-pkg/robot_localization/issues/750>)
  * Fix odometry msgs with child frame other than baseLink (#728 <https://github.com/cra-ros-pkg/robot_localization/issues/728>)
  * update documentation (#723 <https://github.com/cra-ros-pkg/robot_localization/issues/723>)
  * Fix unused-parameter warning (#721 <https://github.com/cra-ros-pkg/robot_localization/issues/721>)
  * Fix tf lookup timestamp during map->odom publication (#719 <https://github.com/cra-ros-pkg/robot_localization/issues/719>)
  * UKF cleanup (#671 <https://github.com/cra-ros-pkg/robot_localization/issues/671>)
  * Added geographiclib to catkin exported depends (#709 <https://github.com/cra-ros-pkg/robot_localization/issues/709>)
  * Make the navsat tf frame name parametric (#699 <https://github.com/cra-ros-pkg/robot_localization/issues/699>)
  * Propagate the suppression of tf warnings (#705 <https://github.com/cra-ros-pkg/robot_localization/issues/705>)
  * Fix typo in base_link_frame_output name. (#701 <https://github.com/cra-ros-pkg/robot_localization/issues/701>)
  * Contributors: AR Dabbour, Carlos Agüero, Haoguang Yang, J.P.S, Joshua Owen, Leonardo Hemerly, Lucas Walter, Marcus Scheunemann, Stephen Williams, Tom Moore

 -- Tom Moore <ayrton04@gmail.com>  Wed, 27 Jul 2022 00:00:00 -0000

ros-one-robot-localization (2.7.3-0jammy) jammy; urgency=high

  * Prevent node from crashing on invalid UTM zone, but throw ROS_ERROR to notify user (#682 <https://github.com/cra-ros-pkg/robot_localization/issues/682>)
  * changed geographiclib to <depend> tag (#684 <https://github.com/cra-ros-pkg/robot_localization/issues/684>)
  * Small formatting and content change (#677 <https://github.com/cra-ros-pkg/robot_localization/issues/677>)
  * Fixed state transition for sigma points. The state transition function for each sigma point now uses its sigma point's posteriori state instead of always the posteriori state. (#628 <https://github.com/cra-ros-pkg/robot_localization/issues/628>)
    Co-authored-by: jola6897 <mailto:jola6897@users.noreply.github.com>
  * Contributors: John Stechschulte, Jonas, MCFurry, Vivek Mhatre

 -- Tom Moore <ayrton04@gmail.com>  Fri, 23 Jul 2021 00:00:00 -0000

ros-one-robot-localization (2.7.2-0jammy) jammy; urgency=high

  * Also test for gamma conversion (#647 <https://github.com/cra-ros-pkg/robot_localization/issues/647>)
  * fix: Transform gravitation vector to IMU frame before removing acceleration (#639 <https://github.com/cra-ros-pkg/robot_localization/issues/639>)
  * Fixed a typo in validate filter output error message. (#646 <https://github.com/cra-ros-pkg/robot_localization/issues/646>)
  * Stick to the global utm_zone_ when transforming gps to UTM (#627 <https://github.com/cra-ros-pkg/robot_localization/issues/627>)
    * Stick to the global utm_zone_ when transforming gps to UTM
  * UTM conversions using geographiclib (#626 <https://github.com/cra-ros-pkg/robot_localization/issues/626>)
    * Use GeographicLib for UTMtoLL conversions
  * SHARED linking for Geographiclib (#624 <https://github.com/cra-ros-pkg/robot_localization/issues/624>)
    * remove GeographicLib specific linking option
  * Fixing lat-long to UTM conversion (#620 <https://github.com/cra-ros-pkg/robot_localization/issues/620>)
    Thanks again for the report. I'll get this into noetic-devel and the relevant ROS2 branches.
  * Removing xmlrpcpp dependency
  * yaml-cpp using find_package as backup (#618 <https://github.com/cra-ros-pkg/robot_localization/issues/618>)
  * Add ${GeographicLib_LIBRARIES} to navsat_transform (#617 <https://github.com/cra-ros-pkg/robot_localization/issues/617>)
  * Contributors: Achmad Fathoni, Leonardo Hemerly, Paul Verhoeckx, Tim Clephas, Tobias Fischer, Tom Moore

 -- Tom Moore <ayrton04@gmail.com>  Thu, 03 Jun 2021 00:00:00 -0000

ros-one-robot-localization (2.7.0-0jammy) jammy; urgency=high

  * Making repeated state publication optional (#595 <https://github.com/cra-ros-pkg/robot_localization/issues/595>)


=== debian/control ===
Source: ros-one-robot-localization
Section: misc
Priority: optional
Maintainer: Tom Moore <ayrton04@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libgeographic-dev, libyaml-cpp-dev, python3-catkin-pkg, ros-one-angles, ros-one-catkin, ros-one-cmake-modules, ros-one-diagnostic-msgs, ros-one-diagnostic-updater, ros-one-eigen-conversions, ros-one-geographic-msgs, ros-one-geometry-msgs, ros-one-message-filters, ros-one-message-generation, ros-one-nav-msgs, ros-one-nodelet, ros-one-roscpp, ros-one-roslint, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf2, ros-one-tf2-geometry-msgs, ros-one-tf2-ros
Homepage: http://ros.org/wiki/robot_localization
Standards-Version: 3.9.2

Package: ros-one-robot-localization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libgeographic-dev, libyaml-cpp-dev, ros-one-angles, ros-one-cmake-modules, ros-one-diagnostic-msgs, ros-one-diagnostic-updater, ros-one-eigen-conversions, ros-one-geographic-msgs, ros-one-geometry-msgs, ros-one-message-filters, ros-one-message-runtime, ros-one-nav-msgs, ros-one-nodelet, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf2, ros-one-tf2-geometry-msgs, ros-one-tf2-ros
Description: Provides nonlinear state estimation through sensor fusion of an abritrary number of sensors.

## ros-one-robot-localization 2.7.7-1jammy.20251207.2216

=== debian/changelog ===
ros-one-robot-localization (2.7.7-1jammy.20251207.2216) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tom Moore <ayrton04@gmail.com>  Sun, 07 Dec 2025 22:16:00 +0000

## ros-one-robot-localization 2.7.7-1jammy.20260221.2108

=== debian/changelog ===
ros-one-robot-localization (2.7.7-1jammy.20260221.2108) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tom Moore <ayrton04@gmail.com>  Sat, 21 Feb 2026 21:08:38 +0000

## ros-one-robot-localization 2.7.7-1noble.20251023.0943

=== debian/changelog ===
ros-one-robot-localization (2.7.7-1noble.20251023.0943) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tom Moore <ayrton04@gmail.com>  Thu, 23 Oct 2025 09:43:59 +0000

ros-one-robot-localization (2.7.7-0noble) noble; urgency=high

  * Remove the diagnostic warning about multiple pose sources (#888 <https://github.com/cra-ros-pkg/robot_localization/issues/888>)
  * Contributors: Stephen Williams

 -- Tom Moore <ayrton04@gmail.com>  Thu, 29 Aug 2024 00:00:00 -0000

ros-one-robot-localization (2.7.6-0noble) noble; urgency=high

  * Updating issue templates
  * Fixing angle clamping in Noetic (#855 <https://github.com/cra-ros-pkg/robot_localization/issues/855>)
  * Contributors: Tom Moore

 -- Tom Moore <ayrton04@gmail.com>  Tue, 16 Apr 2024 00:00:00 -0000

ros-one-robot-localization (2.7.5-0noble) noble; urgency=high

  * Fix/set utm map frame change (#830 <https://github.com/cra-ros-pkg/robot_localization/issues/830>)
    * Fix utm service properly resetting transforms and fix test for this
    ---------
    Co-authored-by: Ferry Schoenmakers <mailto:ferry.schoenmakers@nobleo.nl>
  * Add flag to invert published transform (#827 <https://github.com/cra-ros-pkg/robot_localization/issues/827>)
  * fix bracket missing bug ekf nodelet template noetic (#823 <https://github.com/cra-ros-pkg/robot_localization/issues/823>)
  * Noetic devel (#775 <https://github.com/cra-ros-pkg/robot_localization/issues/775>)
    * fixed missing silent flag
    * removed debug statement
    * replace tabs with blanks
  * Contributors: Carlos Mendes, ChenHehe, CyberNet, Ferry Schoenmakers

 -- Tom Moore <ayrton04@gmail.com>  Tue, 12 Dec 2023 00:00:00 -0000

ros-one-robot-localization (2.7.4-0noble) noble; urgency=high

  * Fix odometry and acceleration processing pipeline (#753 <https://github.com/cra-ros-pkg/robot_localization/issues/753>)
  * Use default CXX, need to specify boost::placeholders::_1 instead of just _1 (#750 <https://github.com/cra-ros-pkg/robot_localization/issues/750>)
  * Fix odometry msgs with child frame other than baseLink (#728 <https://github.com/cra-ros-pkg/robot_localization/issues/728>)
  * update documentation (#723 <https://github.com/cra-ros-pkg/robot_localization/issues/723>)
  * Fix unused-parameter warning (#721 <https://github.com/cra-ros-pkg/robot_localization/issues/721>)
  * Fix tf lookup timestamp during map->odom publication (#719 <https://github.com/cra-ros-pkg/robot_localization/issues/719>)
  * UKF cleanup (#671 <https://github.com/cra-ros-pkg/robot_localization/issues/671>)
  * Added geographiclib to catkin exported depends (#709 <https://github.com/cra-ros-pkg/robot_localization/issues/709>)
  * Make the navsat tf frame name parametric (#699 <https://github.com/cra-ros-pkg/robot_localization/issues/699>)
  * Propagate the suppression of tf warnings (#705 <https://github.com/cra-ros-pkg/robot_localization/issues/705>)
  * Fix typo in base_link_frame_output name. (#701 <https://github.com/cra-ros-pkg/robot_localization/issues/701>)
  * Contributors: AR Dabbour, Carlos Agüero, Haoguang Yang, J.P.S, Joshua Owen, Leonardo Hemerly, Lucas Walter, Marcus Scheunemann, Stephen Williams, Tom Moore

 -- Tom Moore <ayrton04@gmail.com>  Wed, 27 Jul 2022 00:00:00 -0000

ros-one-robot-localization (2.7.3-0noble) noble; urgency=high

  * Prevent node from crashing on invalid UTM zone, but throw ROS_ERROR to notify user (#682 <https://github.com/cra-ros-pkg/robot_localization/issues/682>)
  * changed geographiclib to <depend> tag (#684 <https://github.com/cra-ros-pkg/robot_localization/issues/684>)
  * Small formatting and content change (#677 <https://github.com/cra-ros-pkg/robot_localization/issues/677>)
  * Fixed state transition for sigma points. The state transition function for each sigma point now uses its sigma point's posteriori state instead of always the posteriori state. (#628 <https://github.com/cra-ros-pkg/robot_localization/issues/628>)
    Co-authored-by: jola6897 <mailto:jola6897@users.noreply.github.com>
  * Contributors: John Stechschulte, Jonas, MCFurry, Vivek Mhatre

 -- Tom Moore <ayrton04@gmail.com>  Fri, 23 Jul 2021 00:00:00 -0000

ros-one-robot-localization (2.7.2-0noble) noble; urgency=high

  * Also test for gamma conversion (#647 <https://github.com/cra-ros-pkg/robot_localization/issues/647>)
  * fix: Transform gravitation vector to IMU frame before removing acceleration (#639 <https://github.com/cra-ros-pkg/robot_localization/issues/639>)
  * Fixed a typo in validate filter output error message. (#646 <https://github.com/cra-ros-pkg/robot_localization/issues/646>)
  * Stick to the global utm_zone_ when transforming gps to UTM (#627 <https://github.com/cra-ros-pkg/robot_localization/issues/627>)
    * Stick to the global utm_zone_ when transforming gps to UTM
  * UTM conversions using geographiclib (#626 <https://github.com/cra-ros-pkg/robot_localization/issues/626>)
    * Use GeographicLib for UTMtoLL conversions
  * SHARED linking for Geographiclib (#624 <https://github.com/cra-ros-pkg/robot_localization/issues/624>)
    * remove GeographicLib specific linking option
  * Fixing lat-long to UTM conversion (#620 <https://github.com/cra-ros-pkg/robot_localization/issues/620>)
    Thanks again for the report. I'll get this into noetic-devel and the relevant ROS2 branches.
  * Removing xmlrpcpp dependency
  * yaml-cpp using find_package as backup (#618 <https://github.com/cra-ros-pkg/robot_localization/issues/618>)
  * Add ${GeographicLib_LIBRARIES} to navsat_transform (#617 <https://github.com/cra-ros-pkg/robot_localization/issues/617>)
  * Contributors: Achmad Fathoni, Leonardo Hemerly, Paul Verhoeckx, Tim Clephas, Tobias Fischer, Tom Moore

 -- Tom Moore <ayrton04@gmail.com>  Thu, 03 Jun 2021 00:00:00 -0000

ros-one-robot-localization (2.7.0-0noble) noble; urgency=high

  * Making repeated state publication optional (#595 <https://github.com/cra-ros-pkg/robot_localization/issues/595>)


=== debian/control ===
Source: ros-one-robot-localization
Section: misc
Priority: optional
Maintainer: Tom Moore <ayrton04@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libgeographiclib-dev, libyaml-cpp-dev, python3-catkin-pkg, ros-one-angles, ros-one-catkin, ros-one-cmake-modules, ros-one-diagnostic-msgs, ros-one-diagnostic-updater, ros-one-eigen-conversions, ros-one-geographic-msgs, ros-one-geometry-msgs, ros-one-message-filters, ros-one-message-generation, ros-one-nav-msgs, ros-one-nodelet, ros-one-roscpp, ros-one-roslint, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf2, ros-one-tf2-geometry-msgs, ros-one-tf2-ros
Homepage: http://ros.org/wiki/robot_localization
Standards-Version: 3.9.2

Package: ros-one-robot-localization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libgeographiclib-dev, libyaml-cpp-dev, ros-one-angles, ros-one-cmake-modules, ros-one-diagnostic-msgs, ros-one-diagnostic-updater, ros-one-eigen-conversions, ros-one-geographic-msgs, ros-one-geometry-msgs, ros-one-message-filters, ros-one-message-runtime, ros-one-nav-msgs, ros-one-nodelet, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf2, ros-one-tf2-geometry-msgs, ros-one-tf2-ros
Description: Provides nonlinear state estimation through sensor fusion of an abritrary number of sensors.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-robot-localization//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-robot-localization 2.7.7-1noble.20251208.0912

=== debian/changelog ===
ros-one-robot-localization (2.7.7-1noble.20251208.0912) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tom Moore <ayrton04@gmail.com>  Mon, 08 Dec 2025 09:12:35 +0000

## ros-one-robot-localization 2.7.7-1noble.20260221.2152

=== debian/changelog ===
ros-one-robot-localization (2.7.7-1noble.20260221.2152) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tom Moore <ayrton04@gmail.com>  Sat, 21 Feb 2026 21:52:43 +0000
